Subject: Re: New I-D on using DNS to support Emergency Calls

From: Paul Vixie <[email-masked]>
Date: Thu, 19 Feb 2004 19:32:46 +0000

gentlefolk...

> Al
> 
> A Zip+4 can cross a township boundary (mine does).  It can cross an ERC
> response boundary (also true here), and it can cross a state boundary (rare,
> but true).  Postal codes are for the post office, and they don't reflect
> anything other than convenience for the Post Office sorting and delivery
> people.  In many countries, they don't even have postal codes.  As such,
> I don't think they help anything but delivering snail mail.
> 
> Brian

...this is offtopic.  namedroppers has much experience on the topic of rdata
layout and owner name semantics, but as to what information should be made
available in a DNS RR intended for use by voip 911, we are at best amateurs.

can someone charter an emergency services BOF to decide RDATA content and
then ask namedroppers to help design an encoding for it?

paul

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/namedroppers/>

---

From: Jim Reid <[email-masked]>
Date: Thu, 19 Feb 2004 19:58:13 +0000

This is a profoundly silly draft.

First of all, the DNS already has a perfectly good RR type -- albeit
one that's rarely used -- for specifying location information. There
seems no point in replacing the the LOC record or augmenting it with
this proposed POLY record. What does this POLY record do that can't be
done already with a LOC record?

Secondly, the proposed naming scheme is arbitrary and poorly
structured. This means that it will be very hard in practice to
generate appropriate query names that would elicit meaningful
responses from the DNS, assuming it was populated with that
information. For instance, it doesn't say anything about place names
that sound the same but are spelled differently (or vice versa); or
cases where a town or city has two or more streets by the same name
(there are umpteen "High Streets" in the Greater London conurbation);
or where white space and punctuation would be significant (King's Road
vs Kings Road or "Sunny Vale" vs "Sunnyvale"; etc, etc. The naming
scheme doesn't take account of location information which includes the
character ".": ie "Room 11.2, Building Foo....". It also doesn't take
account of places that change their name. Or have different names in
different national languages. For instance, the Belgians have 2 names
for Brussels depending on whether Flemish or French is used.

Thirdly, this draft takes no account of locations that don't readily
correspond to a postal address (or equivalent). Or when the calling
party is lost. For instance when the caller is in a boat or light
aircraft or trekking in some mountain range. What sort of name would
be looked up for a sinking ship in international waters? For bonus
points, repeat this exercise when the ship is equidistant between two
or more countries.

Finally when an (approximate) address/location is known, there would
be no reason to look up its latitude/longitude in the DNS in the first
place. Or am I missing something?